var ts=0;
var currNos=0;//当前图片序号
var counts=0;//图片数量
$(function(){
	initPics();	
	counts = $("#hfplay_list a").size();
	ts = setInterval("showAutos()", 5000);
	$("#hfplay_list a:not(:first-child)").hide();
	$("#hfplay_text li:first-child").addClass('on');
	$("#hfplay_list img").each(function(j,m){
	    $(this).hover(function(){
	        clearInterval(ts);
	        currNos = j;					    
	    },function(){
			ts = setInterval("showAutos()", 5000);
	    });
	});
	$("#hfplay_text li").each(function(i,n){
	    $(this).hover(function(){
			clearInterval(ts);
			if(i==currNos || i>=counts)return false;	        
	        currNos = i;
		    $("#hfplay_list a").filter(":visible").fadeOut(500).parent().children().eq(currNos).fadeIn(1000);
		    $(this).addClass('on').siblings().removeClass('on');
		},function(){
			ts = setInterval("showAutos()", 5000);
	    });
	});
})

function showAutos(){
	currNos = currNos >= (counts - 1) ? 0 : currNos+1;
	$("#hfplay_list a").filter(":visible").fadeOut(500).parent().children().eq(currNos).fadeIn(1000);
	$("#hfplay_text li").eq(currNos).addClass('on').siblings().removeClass('on');
}

function initPics(){
    var imgs = $('#hfpics').text();
    var links = $('#hfpiclinks').text();
    var imgname = $('#hfpicname').text();
    var imghtml = '';
    var indexhtml = '';
    if(imgs != ''){
        var imgArry = imgs.split('|');
        var linkArry = links.split('|');
        var nameArry = imgname.split('|');
        $.each(imgArry,function(i,n){
            if($.trim(linkArry[i]) == ''){
                imghtml += '<a><img src="' + n + '" alt="" /></a>';
            }else{
                imghtml += '<a href="' + linkArry[i] + '" target="_blank"><img src="' + n + '" alt="" /></a>';
            }
            indexhtml += '<li>' + (nameArry[i]) + '</li>';
//            indexhtml += '<li>' + (i+1) + '</li>';
        });
    };
    $('#hfplay_list').html(imghtml);
    $('#hfplay_text ul').html(indexhtml);
};
